 :root,
 [data-bs-theme=light] {
     --white: #ffffff;
     --lightwhite: #ececec;
     --bodybg: #f5f6f8;
     --dark: #252525;
     --lightgray: #cacaca;
     --secondcolor: #ffffff;
     /*custo*/
     --header-height: 75px;
     --bs-nav-link-font-size: 13px;
     --body-sm-font-size: 0.875rem;
 }

 [data-bs-theme=dark] {
     --white: #1f242e;
     --lightwhite: #2b313e;
     --bodybg: #17181e;
     --dark: #ececec;
     --lightgray: #cacaca;
     --secondcolor: #212134;
     --thirdcolor: #1c1b2b;
     --bs-body-bg: #212134;
     --bs-border-color: #ffffff29;
     --darkbody: #09071f;
     --bs-secondary-bg-rgb: 57, 56, 74;
     /** Theme primary colors */
     --clr-primary-a0: #ececec;
     --clr-primary-a10: #eeeeee;
     --clr-primary-a20: #f0f0f0;
     --clr-primary-a30: #f2f2f2;
     --clr-primary-a40: #f4f4f4;
     --clr-primary-a50: #f7f7f7;
     /** Theme surface colors */
     --clr-surface-a0: #09071f;
     --clr-surface-a10: #212134;
     --clr-surface-a20: #39384a;
     --clr-surface-a30: #525161;
     --clr-surface-a40: #6c6c7a;
     --clr-surface-a50: #888793;
 }
[data-bs-theme=dark] .table-dark th{background:var(--thirdcolor)!important;}
[data-bs-theme=dark] .form-control:focus,[data-bs-theme=dark] .form-select:focus{border-color:#547af69c;}
[data-bs-theme=dark] .text-black-50{--bs-text-opacity:1;color:rgb(255 255 255 / 50%)!important;}
[data-bs-theme=dark] .badge-soft-dark{color:rgba(255,255,255,0.5);background-color:rgba(0,157,255,0.2)}
[data-bs-theme=dark] .btn-dark{--bs-btn-color:#fff;--bs-btn-bg:#5e6c87;--bs-btn-border-color:#5e6c87;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#59829d;--bs-btn-hover-border-color:#59829d;--bs-btn-focus-shadow-rgb:43,72,90;--bs-btn-active-color:#fff;--bs-btn-active-bg:#59829d;--bs-btn-active-border-color:#5e6c87;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#fff;--bs-btn-disabled-bg:#5e6c87;--bs-btn-disabled-border-color:#5e6c87}
[data-bs-theme=dark] .btn-soft-dark{--bs-btn-color:rgba(255,255,255,0.5);--bs-btn-bg:rgba(0,157,255,0.2);--bs-btn-border-color:transparent;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:rgba(0,157,255,0.315);--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:6,40,61;--bs-btn-active-color:var(--bs-btn-hover-color);--bs-btn-active-bg:#052031;--bs-btn-active-border-color:transparent}
[data-bs-theme=dark] .btn-outline-dark{--bs-btn-color:#ececec;--bs-btn-border-color:#ececec;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#ececec;--bs-btn-hover-border-color:#ececec;--bs-btn-focus-shadow-rgb:6,40,61;--bs-btn-active-color:#fff;--bs-btn-active-bg:#ececec;--bs-btn-active-border-color:#ececec;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#ececec;--bs-btn-disabled-bg:transparent;--bs-btn-disabled-border-color:#ececec;--bs-gradient:none}
[data-bs-theme=dark] .btn-outline-light{--bs-btn-color:#2b313e;--bs-btn-border-color:#2b313e;--bs-btn-hover-color:#2b313e;--bs-btn-hover-bg:#eff2f7;--bs-btn-hover-border-color:#eff2f7;--bs-btn-focus-shadow-rgb:239,242,247;--bs-btn-active-color:#000;--bs-btn-active-bg:#eff2f7;--bs-btn-active-border-color:#eff2f7;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#eff2f7;--bs-btn-disabled-bg:transparent;--bs-btn-disabled-border-color:#eff2f7;--bs-gradient:none}
.badge{--bs-badge-padding-x:0.65em;--bs-badge-padding-y:0.45em;--bs-badge-font-size:0.6906rem;--bs-badge-font-weight:500;--bs-badge-color:#fff;--bs-badge-border-radius:0.25rem;display:inline-block;padding:var(--bs-badge-padding-y) var(--bs-badge-padding-x);font-size:var(--bs-badge-font-size);font-weight:var(--bs-badge-font-weight);line-height:1;color:var(--bs-badge-color);text-align:center;white-space:nowrap;vertical-align:baseline;border-radius:var(--bs-badge-border-radius);}
.badge-outline-primary{color:#438eff;border:1px solid #438eff;background-color:transparent}
.badge-outline-secondary{color:#8561f9;border:1px solid #8561f9;background-color:transparent}
.badge-outline-success{color:#2dcb73;border:1px solid #2dcb73;background-color:transparent}
.badge-outline-info{color:#4ab0c1;border:1px solid #4ab0c1;background-color:transparent}
.badge-outline-warning{color:#f6b749;border:1px solid #f6b749;background-color:transparent}
.badge-outline-danger{color:#ff6c6c;border:1px solid #ff6c6c;background-color:transparent}
.badge-outline-light{color:#eff2f7;border:1px solid #eff2f7;background-color:transparent}
.badge-outline-dark{color:#06283d;border:1px solid #06283d;background-color:transparent}
.badge-outline{background-color:var(--bs-card-bg-custom);border:1px solid}
.badge-soft-primary{color:#438eff;background-color:rgba(67,142,255,.1)}
.badge-soft-secondary{color:#8561f9;background-color:rgba(133,97,249,.1)}
.badge-soft-success{color:#2dcb73;background-color:rgba(45,203,115,.1)}
.badge-soft-info{color:#4ab0c1;background-color:rgba(74,176,193,.1)}
.badge-soft-warning{color:#f6b749;background-color:rgba(246,183,73,.1)}
.badge-soft-danger{color:#ff6c6c;background-color:rgba(255,108,108,.1)}
.badge-soft-light{color:#eff2f7;background-color:rgba(239,242,247,.1)}
.badge-soft-dark{color:#06283d;background-color:rgba(6,40,61,.1)}
.btn-primary{--bs-btn-color:#fff;--bs-btn-bg:#5479f6;--bs-btn-border-color:#5479f6;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#496bde;--bs-btn-hover-border-color:#496bde;--bs-btn-focus-shadow-rgb:95,159,255;--bs-btn-active-color:#fff;--bs-btn-active-bg:#496bde;--bs-btn-active-border-color:#496bde;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#fff;--bs-btn-disabled-bg:#5479f6;--bs-btn-disabled-border-color:#5479f6}
.btn-secondary{--bs-btn-color:#fff;--bs-btn-bg:#8561f9;--bs-btn-border-color:#8561f9;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#7152d4;--bs-btn-hover-border-color:#6a4ec7;--bs-btn-focus-shadow-rgb:151,121,250;--bs-btn-active-color:#fff;--bs-btn-active-bg:#6a4ec7;--bs-btn-active-border-color:#6449bb;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#fff;--bs-btn-disabled-bg:#8561f9;--bs-btn-disabled-border-color:#8561f9}
.btn-success{--bs-btn-color:#fff;--bs-btn-bg:#2dcb73;--bs-btn-border-color:#2dcb73;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#26ad62;--bs-btn-hover-border-color:#24a25c;--bs-btn-focus-shadow-rgb:77,211,136;--bs-btn-active-color:#fff;--bs-btn-active-bg:#24a25c;--bs-btn-active-border-color:#229856;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#fff;--bs-btn-disabled-bg:#2dcb73;--bs-btn-disabled-border-color:#2dcb73}
.btn-info{--bs-btn-color:#fff;--bs-btn-bg:#4ab0c1;--bs-btn-border-color:#4ab0c1;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#3f96a4;--bs-btn-hover-border-color:#3b8d9a;--bs-btn-focus-shadow-rgb:101,188,202;--bs-btn-active-color:#fff;--bs-btn-active-bg:#3b8d9a;--bs-btn-active-border-color:#388491;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#fff;--bs-btn-disabled-bg:#4ab0c1;--bs-btn-disabled-border-color:#4ab0c1}
.btn-warning{--bs-btn-color:#fff;--bs-btn-bg:#f6b749;--bs-btn-border-color:#f6b749;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#d19c3e;--bs-btn-hover-border-color:#c5923a;--bs-btn-focus-shadow-rgb:247,194,100;--bs-btn-active-color:#fff;--bs-btn-active-bg:#c5923a;--bs-btn-active-border-color:#b98937;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#fff;--bs-btn-disabled-bg:#f6b749;--bs-btn-disabled-border-color:#f6b749}
.btn-danger{--bs-btn-color:#fff;--bs-btn-bg:#ff6c6c;--bs-btn-border-color:#ff6c6c;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#d95c5c;--bs-btn-hover-border-color:#cc5656;--bs-btn-focus-shadow-rgb:255,130,130;--bs-btn-active-color:#fff;--bs-btn-active-bg:#cc5656;--bs-btn-active-border-color:#bf5151;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#fff;--bs-btn-disabled-bg:#ff6c6c;--bs-btn-disabled-border-color:#ff6c6c}
.btn-light{--bs-btn-color:#000;--bs-btn-bg:#eff2f7;--bs-btn-border-color:#eff2f7;--bs-btn-hover-color:#000;--bs-btn-hover-bg:#cbced2;--bs-btn-hover-border-color:#bfc2c6;--bs-btn-focus-shadow-rgb:203,206,210;--bs-btn-active-color:#fff;--bs-btn-active-bg:#bfc2c6;--bs-btn-active-border-color:#b3b6b9;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#000;--bs-btn-disabled-bg:#eff2f7;--bs-btn-disabled-border-color:#eff2f7}
.btn-dark{--bs-btn-color:#fff;--bs-btn-bg:#06283D;--bs-btn-border-color:#06283D;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#2b485a;--bs-btn-hover-border-color:#1f3e50;--bs-btn-focus-shadow-rgb:43,72,90;--bs-btn-active-color:#fff;--bs-btn-active-bg:#385364;--bs-btn-active-border-color:#1f3e50;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#fff;--bs-btn-disabled-bg:#06283D;--bs-btn-disabled-border-color:#06283D}
.btn-outline-primary{--bs-btn-color:#5479f6;--bs-btn-border-color:#5479f6;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#5479f6;--bs-btn-hover-border-color:#5479f6;--bs-btn-focus-shadow-rgb:67,142,255;--bs-btn-active-color:#fff;--bs-btn-active-bg:#5479f6;--bs-btn-active-border-color:#5479f6;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#5479f6;--bs-btn-disabled-bg:transparent;--bs-btn-disabled-border-color:#5479f6;--bs-gradient:none}
.btn-outline-secondary{--bs-btn-color:#8561f9;--bs-btn-border-color:#8561f9;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#8561f9;--bs-btn-hover-border-color:#8561f9;--bs-btn-focus-shadow-rgb:133,97,249;--bs-btn-active-color:#fff;--bs-btn-active-bg:#8561f9;--bs-btn-active-border-color:#8561f9;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#8561f9;--bs-btn-disabled-bg:transparent;--bs-btn-disabled-border-color:#8561f9;--bs-gradient:none}
.btn-outline-success{--bs-btn-color:#2dcb73;--bs-btn-border-color:#2dcb73;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#2dcb73;--bs-btn-hover-border-color:#2dcb73;--bs-btn-focus-shadow-rgb:45,203,115;--bs-btn-active-color:#fff;--bs-btn-active-bg:#2dcb73;--bs-btn-active-border-color:#2dcb73;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#2dcb73;--bs-btn-disabled-bg:transparent;--bs-btn-disabled-border-color:#2dcb73;--bs-gradient:none}
.btn-outline-info{--bs-btn-color:#4ab0c1;--bs-btn-border-color:#4ab0c1;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#4ab0c1;--bs-btn-hover-border-color:#4ab0c1;--bs-btn-focus-shadow-rgb:74,176,193;--bs-btn-active-color:#fff;--bs-btn-active-bg:#4ab0c1;--bs-btn-active-border-color:#4ab0c1;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#4ab0c1;--bs-btn-disabled-bg:transparent;--bs-btn-disabled-border-color:#4ab0c1;--bs-gradient:none}
.btn-outline-warning{--bs-btn-color:#f6b749;--bs-btn-border-color:#f6b749;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#f6b749;--bs-btn-hover-border-color:#f6b749;--bs-btn-focus-shadow-rgb:246,183,73;--bs-btn-active-color:#fff;--bs-btn-active-bg:#f6b749;--bs-btn-active-border-color:#f6b749;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#f6b749;--bs-btn-disabled-bg:transparent;--bs-btn-disabled-border-color:#f6b749;--bs-gradient:none}
.btn-outline-danger{--bs-btn-color:#ff6c6c;--bs-btn-border-color:#ff6c6c;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#ff6c6c;--bs-btn-hover-border-color:#ff6c6c;--bs-btn-focus-shadow-rgb:255,108,108;--bs-btn-active-color:#fff;--bs-btn-active-bg:#ff6c6c;--bs-btn-active-border-color:#ff6c6c;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#ff6c6c;--bs-btn-disabled-bg:transparent;--bs-btn-disabled-border-color:#ff6c6c;--bs-gradient:none}
.btn-outline-light{--bs-btn-color:#eff2f7;--bs-btn-border-color:#eff2f7;--bs-btn-hover-color:#000;--bs-btn-hover-bg:#eff2f7;--bs-btn-hover-border-color:#eff2f7;--bs-btn-focus-shadow-rgb:239,242,247;--bs-btn-active-color:#000;--bs-btn-active-bg:#eff2f7;--bs-btn-active-border-color:#eff2f7;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#eff2f7;--bs-btn-disabled-bg:transparent;--bs-btn-disabled-border-color:#eff2f7;--bs-gradient:none}
.btn-outline-dark{--bs-btn-color:#06283D;--bs-btn-border-color:#06283D;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#06283D;--bs-btn-hover-border-color:#06283D;--bs-btn-focus-shadow-rgb:6,40,61;--bs-btn-active-color:#fff;--bs-btn-active-bg:#06283D;--bs-btn-active-border-color:#06283D;--bs-btn-active-shadow:inset 0 3px 5px rgba(0,0,0,0.125);--bs-btn-disabled-color:#06283D;--bs-btn-disabled-bg:transparent;--bs-btn-disabled-border-color:#06283D;--bs-gradient:none}
.btn-soft-primary{--bs-btn-color:#438eff;--bs-btn-bg:rgba(67,142,255,0.1);--bs-btn-border-color:transparent;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#3c80e6;--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:67,142,255;--bs-btn-active-color:var(--bs-btn-hover-color);--bs-btn-active-bg:#3672cc;--bs-btn-active-border-color:transparent}
.btn-soft-secondary{--bs-btn-color:#8561f9;--bs-btn-bg:rgba(133,97,249,0.1);--bs-btn-border-color:transparent;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#7857e0;--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:133,97,249;--bs-btn-active-color:var(--bs-btn-hover-color);--bs-btn-active-bg:#6a4ec7;--bs-btn-active-border-color:transparent}
.btn-soft-success{--bs-btn-color:#2dcb73;--bs-btn-bg:rgba(45,203,115,0.1);--bs-btn-border-color:transparent;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#29b768;--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:45,203,115;--bs-btn-active-color:var(--bs-btn-hover-color);--bs-btn-active-bg:#24a25c;--bs-btn-active-border-color:transparent}
.btn-soft-info{--bs-btn-color:#4ab0c1;--bs-btn-bg:rgba(74,176,193,0.1);--bs-btn-border-color:transparent;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#439eae;--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:74,176,193;--bs-btn-active-color:var(--bs-btn-hover-color);--bs-btn-active-bg:#3b8d9a;--bs-btn-active-border-color:transparent}
.btn-soft-warning{--bs-btn-color:#f6b749;--bs-btn-bg:rgba(246,183,73,0.1);--bs-btn-border-color:transparent;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#dda542;--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:246,183,73;--bs-btn-active-color:var(--bs-btn-hover-color);--bs-btn-active-bg:#c5923a;--bs-btn-active-border-color:transparent}
.btn-soft-danger{--bs-btn-color:#ff6c6c;--bs-btn-bg:rgba(255,108,108,0.1);--bs-btn-border-color:transparent;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#e66161;--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:255,108,108;--bs-btn-active-color:var(--bs-btn-hover-color);--bs-btn-active-bg:#cc5656;--bs-btn-active-border-color:transparent}
.btn-soft-light{--bs-btn-color:#eff2f7;--bs-btn-bg:rgba(239,242,247,0.1);--bs-btn-border-color:transparent;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#d7dade;--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:239,242,247;--bs-btn-active-color:var(--bs-btn-hover-color);--bs-btn-active-bg:#bfc2c6;--bs-btn-active-border-color:transparent}
.btn-soft-dark{--bs-btn-color:#06283D;--bs-btn-bg:rgba(6,40,61,0.1);--bs-btn-border-color:transparent;--bs-btn-hover-color:#fff;--bs-btn-hover-bg:#052437;--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:6,40,61;--bs-btn-active-color:var(--bs-btn-hover-color);--bs-btn-active-bg:#052031;--bs-btn-active-border-color:transparent}
.btn-ghost-primary{--bs-btn-color:#438eff;--bs-btn-bg:transparent;--bs-btn-border-color:transparent;--bs-btn-hover-color:#438eff;--bs-btn-hover-bg:rgba(67,142,255,0.1);--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:67,142,255;--bs-btn-active-color:#438eff;--bs-btn-active-bg:rgba(67,142,255,0.1);--bs-btn-active-border-color:transparent}
.btn-ghost-secondary{--bs-btn-color:#8561f9;--bs-btn-bg:transparent;--bs-btn-border-color:transparent;--bs-btn-hover-color:#8561f9;--bs-btn-hover-bg:rgba(133,97,249,0.1);--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:133,97,249;--bs-btn-active-color:#8561f9;--bs-btn-active-bg:rgba(133,97,249,0.1);--bs-btn-active-border-color:transparent}
.btn-ghost-success{--bs-btn-color:#2dcb73;--bs-btn-bg:transparent;--bs-btn-border-color:transparent;--bs-btn-hover-color:#2dcb73;--bs-btn-hover-bg:rgba(45,203,115,0.1);--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:45,203,115;--bs-btn-active-color:#2dcb73;--bs-btn-active-bg:rgba(45,203,115,0.1);--bs-btn-active-border-color:transparent}
.btn-ghost-info{--bs-btn-color:#4ab0c1;--bs-btn-bg:transparent;--bs-btn-border-color:transparent;--bs-btn-hover-color:#4ab0c1;--bs-btn-hover-bg:rgba(74,176,193,0.1);--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:74,176,193;--bs-btn-active-color:#4ab0c1;--bs-btn-active-bg:rgba(74,176,193,0.1);--bs-btn-active-border-color:transparent}
.btn-ghost-warning{--bs-btn-color:#f6b749;--bs-btn-bg:transparent;--bs-btn-border-color:transparent;--bs-btn-hover-color:#f6b749;--bs-btn-hover-bg:rgba(246,183,73,0.1);--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:246,183,73;--bs-btn-active-color:#f6b749;--bs-btn-active-bg:rgba(246,183,73,0.1);--bs-btn-active-border-color:transparent}
.btn-ghost-danger{--bs-btn-color:#ff6c6c;--bs-btn-bg:transparent;--bs-btn-border-color:transparent;--bs-btn-hover-color:#ff6c6c;--bs-btn-hover-bg:rgba(255,108,108,0.1);--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:255,108,108;--bs-btn-active-color:#ff6c6c;--bs-btn-active-bg:rgba(255,108,108,0.1);--bs-btn-active-border-color:transparent}
.btn-ghost-light{--bs-btn-color:#eff2f7;--bs-btn-bg:transparent;--bs-btn-border-color:transparent;--bs-btn-hover-color:#eff2f7;--bs-btn-hover-bg:rgba(239,242,247,0.1);--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:239,242,247;--bs-btn-active-color:#eff2f7;--bs-btn-active-bg:rgba(239,242,247,0.1);--bs-btn-active-border-color:transparent}
.btn-ghost-dark{--bs-btn-color:#06283D;--bs-btn-bg:transparent;--bs-btn-border-color:transparent;--bs-btn-hover-color:#06283D;--bs-btn-hover-bg:rgba(6,40,61,0.1);--bs-btn-hover-border-color:transparent;--bs-btn-focus-shadow-rgb:6,40,61;--bs-btn-active-color:#06283D;--bs-btn-active-bg:rgba(6,40,61,0.1);--bs-btn-active-border-color:transparent}
.btn-link{--bs-btn-font-weight:400;--bs-btn-color:var(--bs-link-color);--bs-btn-bg:transparent;--bs-btn-border-color:transparent;--bs-btn-hover-color:var(--bs-link-hover-color);--bs-btn-hover-border-color:transparent;--bs-btn-active-color:var(--bs-link-hover-color);--bs-btn-active-border-color:transparent;--bs-btn-disabled-color:#878a99;--bs-btn-disabled-border-color:transparent;--bs-btn-box-shadow:none;--bs-btn-focus-shadow-rgb:95,159,255;text-decoration:none}
.btn-link:focus-visible{color:var(--bs-btn-color)}
.btn-link:hover{color:var(--bs-btn-hover-color)}
.btn-group-lg>.btn,.btn-lg{--bs-btn-padding-y:0.7rem;--bs-btn-padding-x:1.2rem;--bs-btn-font-size:1.132875rem;--bs-btn-border-radius:0.3rem}
.btn-group-sm>.btn,.btn-sm{--bs-btn-padding-y:0.25rem;--bs-btn-padding-x:0.5rem;--bs-btn-font-size:0.7930125rem;--bs-btn-border-radius:0.2rem}
.text-bg-primary{color:#fff !important;background-color:rgba(67,142,255,var(--bs-bg-opacity,1)) !important;}
.text-bg-secondary{color:#fff !important;background-color:rgba(133,97,249,var(--bs-bg-opacity,1)) !important;}
.text-bg-success{color:#fff !important;background-color:rgba(45,203,115,var(--bs-bg-opacity,1)) !important;}
.text-bg-info{color:#fff !important;background-color:rgba(74,176,193,var(--bs-bg-opacity,1)) !important;}
.text-bg-warning{color:#fff !important;background-color:rgba(246,183,73,var(--bs-bg-opacity,1)) !important;}
.text-bg-danger{color:#fff !important;background-color:rgba(255,108,108,var(--bs-bg-opacity,1)) !important;}
.text-bg-light{color:#000 !important;background-color:rgba(239,242,247,var(--bs-bg-opacity,1)) !important;}
.text-bg-dark{color:#fff !important;background-color:rgba(6,40,61,var(--bs-bg-opacity,1)) !important;}
.bg-soft-primary{background-color:rgba(67,142,255,.18) !important}
.bg-soft-secondary{background-color:rgba(133,97,249,.18) !important}
.bg-soft-success{background-color:rgba(45,203,115,.18) !important}
.bg-soft-info{background-color:rgba(74,176,193,.18) !important}
.bg-soft-warning{background-color:rgba(246,183,73,.18) !important}
.bg-soft-danger{background-color:rgba(255,108,108,.18) !important}
.bg-soft-light{background-color:rgba(239,242,247,.18) !important}
.bg-soft-dark{background-color:rgba(6,40,61,.18) !important}
*{margin:0;padding:0;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;}
:focus-visible{outline:0;}
body{font-family:'Poppins',sans-serif;font-weight:normal;font-style:normal;color:var(--dark);overflow-x:hidden;font-size:.875rem;-webkit-font-smoothing:antialiased;font-weight:400;background:var(--darkbody);line-height:1.5;}
img{max-width:100%;transform:translateZ(0px);height:unset}
a:focus,input:focus,textarea:focus,button:focus{text-decoration:none;outline:none;}
a:focus,a:hover{text-decoration:none;}
a,button{transition:.3s !important;text-decoration:none;position:relative;display:inline-block;}
h1,h2,h3,h4,h5,h6{margin:0px;position:relative;color:var(--dark);}
h2{font-size:2.1rem;}
ul,ol{margin:0px;padding:0px;list-style-type:none;}
.numberedlist{list-style-type:decimal;}
p{font-weight:400;line-height:26px;color:var(--dark);}
textarea,select,input,button{outline:none;}
iframe{width:100%}
input,textarea{border-radius:4px;border:1px solid #ddd;font-size:1rem;font-weight:400;line-height:1.5;border-radius:0.375rem;resize:none;}
input[type='number'],input[type='tel']{-webkit-appearance:none;-moz-appearance:none;appearance:none;}
a.disabled,.btn.disabled,.btn:disabled,fieldset:disabled .btn{pointer-events:none;opacity:.8;}
::-webkit-scrollbar-track{-webkit-box-shadow:inset 0 0 6px rgba(0,0,0,0.3);background-color:#F5F5F5;}
::-webkit-scrollbar{width:6px;background-color:#F5F5F5;height:6px;}
::-webkit-scrollbar-thumb{background-color:var(--bs-dark);}
.hiddenscroll::-webkit-scrollbar{display:none;}
.bi.ibold:before{font-weight:800!important;}
.coverimg{width:100%;height:100%;object-fit:cover;}
.pointer{cursor:pointer;}
.form-control,.form-select,.form-check-input{box-shadow:none!important;position:relative;}
.form-control,.form-select,.btn{font-size:var(--body-sm-font-size);}
.el-1{display:block!important;display:-webkit-box!important;-webkit-line-clamp:1;-webkit-box-orient:vertical;overflow:hidden;text-overflow:ellipsis}
.el-2{display:block!important;display:-webkit-box!important;-webkit-line-clamp:2;-webkit-box-orient:vertical;overflow:hidden;text-overflow:ellipsis}
.el-3{display:block!important;display:-webkit-box!important;-webkit-line-clamp:3;-webkit-box-orient:vertical;overflow:hidden;text-overflow:ellipsis}
.el-4{display:block!important;display:-webkit-box!important;-webkit-line-clamp:4;-webkit-box-orient:vertical;overflow:hidden;text-overflow:ellipsis}
.el-5{display:block!important;display:-webkit-box!important;-webkit-line-clamp:5;-webkit-box-orient:vertical;overflow:hidden;text-overflow:ellipsis}
.el-6{display:block!important;display:-webkit-box!important;-webkit-line-clamp:6;-webkit-box-orient:vertical;overflow:hidden;text-overflow:ellipsis}
.el-7{display:block!important;display:-webkit-box!important;-webkit-line-clamp:7;-webkit-box-orient:vertical;overflow:hidden;text-overflow:ellipsis}
.opened{top:100%!important;visibility:visible!important;opacity:1!important;}
section{padding:0 0 1rem 0;}
.w-max{width:max-content;}
.mw-max{max-width:max-content;}
.align-sub{vertical-align:sub;}
.fs-13{font-size:13px;}
.fs-12{font-size:12px;}
.fs-11{font-size:11px;}
.fs-10{font-size:10px;}
.scale1-1{transform:scale(1.1);}
.scale1-2{transform:scale(1.2);}
.scale1-3{transform:scale(1.3);}
.mw-100{max-width:100px;width:100%;}
.mw-200{max-width:200px;width:100%;}
.mw-300{max-width:300px;width:100%;}
.mw-400{max-width:400px;width:100%;}
.mw-600{max-width:600px;width:100%;}
.mw-800{max-width:800px;width:100%;}
.t-header{top: var(--header-height);}
.errorcode{font-size:8rem;font-weight:800;line-height:1;color: var(--dark);}
/* dashboard & head */
.logo{width:100%;max-width:180px;text-align:center;}
.menusmaller{cursor:pointer;}
/* searchbar */
.searchbar{width:100%;max-width:250px;}
.searchbar .trim i{position:absolute;top:50%;right:1rem;transform:translateY(-50%);}
.seachlist{position:absolute;background:var(--darkbody);width:100%;white-space:nowrap;max-height:300px;overflow:auto;top:100%;left:0;display:none;}
.seachlist a{color:var(--dark);display:block!important;display:-webkit-box!important;-webkit-line-clamp:1;-webkit-box-orient:vertical;overflow:hidden;text-overflow:ellipsis;padding:.25rem 0;}
/* header menu */
header{height:75px;z-index:100;z-index:110;background:var(--secondcolor);}
.userimage{width:40px;height:40px;}
.username{font-size:0.8rem;font-weight:600;}
.userposition{font-size:0.8rem;}
.messagenote .notification{position:absolute;top:3px;right:3px;font-size:10px;border-radius:30px;width:14px;height:14px;line-height:14px;}
.usermenu ul{position:absolute;background:var(--white);top:120%;right:0;box-shadow:var(--bs-box-shadow);z-index:90;padding:0.5rem;visibility:hidden;opacity:0;transition:.3s;}
.usermenu ul.opened{visibility:visible;opacity:1;top:100%;}
.usermenu ul a{color:var(--dark);}
/* footer */
footer{background:var(--secondcolor);z-index: 3;}
/* select changes */
.select2-container .select2-selection--single{height:unset!important;}
.select2-container{display:block!important;}
.select2-container--default .select2-selection--single .select2-selection__rendered{line-height:unset!important;padding:.375rem .75rem!important;font-size:.775rem;}
.select2-selection__rendered{font-size:.775rem;}
.select2-container--default .select2-selection--single .select2-selection__arrow{--bs-form-select-bg-img:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");background-image:var(--bs-form-select-bg-img),var(--bs-form-select-bg-icon,none);background-repeat:no-repeat;background-position:right .75rem center;background-size:16px 12px;}
.select2-container--default .select2-selection--single .select2-selection__arrow{top:4px!important;width:38px!important;}
.select2-container--default .select2-selection--single,.select2-container--default.select2-container--focus .select2-selection--multiple,.select2-container--default .select2-selection--multiple,.select2-container--default .select2-search--dropdown .select2-search__field,.select2-dropdown{border:1px solid var(--bs-border-color)!important;}
.select2-container--default .select2-selection--multiple{background:transparent!important;border-radius:0.375rem!important;}
.select2-container--default .select2-selection--multiple .select2-selection__choice{background:var(--lightwhite)!important;color:var(--dark);border-color:var(--bs-border-color)!important;}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove{color:var(--dark)!important;border-color:var(--bs-border-color)!important;}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover,.select2-container--default .select2-selection--multiple .select2-selection__choice__remove:focus{color:var(--bs-dark)!important;}
.select2-dropdown{background:var(--pickerwhite, #fff)!important;}
.select2-container--default .select2-results__option--selected{background:var(--lightwhite)!important;}
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable{color:var(--white);background:var(--bs-primary)!important;}
.select2-container--default .select2-selection--single .select2-selection__arrow b{display:none;}
.select2-container--default .select2-selection--single .select2-selection__rendered{color:var(--dark)!important;}
.select2-container--default .select2-selection--single{background:transparent!important;border-radius:0.375rem;}
.select2-container--default .select2-search--inline .select2-search__field::placeholder{color:var(--dark)!important;}
/* Side menu */
nav{max-width:270px;padding:1rem 0.5rem;position:fixed;bottom:0;top:var(--header-height);overflow:auto;z-index:99;height:calc(100% - var(--header-height));width:100%;transition:.3s;background:var(--secondcolor);}
nav.smaller{width:auto;}
nav.sidemenu.smaller a span,nav.sidemenu.smaller .hassub>a:after,nav.sidemenu.smaller .hassub{display:none;}
nav.sidemenu.smaller:hover .hassub>a:after,nav.sidemenu.smaller:hover a span,nav.sidemenu.smaller:hover .hassub{display:unset;}
nav.sidemenu.smaller:hover{width:100%;}
nav > ul > li{margin:1px 0;}
nav i{font-size:17px;vertical-align:middle;}
nav .hassub ul{display:none;margin-left:1rem;padding-left:.5rem;border-left:1px solid var(--bs-border-color);}
nav .hassub ul li{margin:4px 0;}
nav .hassub{position:relative;}
nav .hassub>a:after{content:"\F285";font-family:'bootstrap-icons';position:absolute;right:10px;top:50%;transition:.3s;font-weight:600;font-size:11px;transform:translateY(-50%) rotate(0deg);}
nav .hassub.open>a:after{transform:translateY(-50%) rotate(90deg);}
nav a{color:var(--dark);display:flex;font-size:13px;padding:6px 20px;align-items:center;gap:.5rem;}
nav .hassub.open > a,nav a:hover,nav li.active>a{background-color:rgba(var(--bs-secondary-bg-rgb));border-radius:3rem;}
nav li.active>a{font-weight:600;}
nav.horizontal{max-width:100%;position:sticky;top:var(--header-height);overflow:unset;background:var(--secondcolor);}
nav.horizontal > ul{display:flex;margin:0;gap:1rem;justify-content:center;align-items:center;}
nav.horizontal .hassub ul{position:absolute;display:flex;flex-wrap:wrap;white-space:nowrap;background:var(--secondcolor);left:0;top:100%;border:0;box-shadow:var(--bs-box-shadow);display:none;padding:0.5rem;margin:0;}
nav.horizontal i{display:none;}
nav.horizontal .hassub>a:after,nav.horizontal .hassub.open>a:after{position:relative;right:0;top:0;transform:rotate(90deg) translateY(0%);display:inline-block;}
nav.horizontal a{padding:5px;}
nav.horizontal .hassub.open > a,nav.horizontal a:hover,nav.horizontal li.active>a{background-color:rgba(var(--bs-secondary-bg-rgb));border-radius:0.1rem;}
nav.horizontal .shortmenu{position:relative;}
nav.horizontal .shortmenu > a:after{display:none;}
nav.horizontal .shortmenu > ul{position:absolute;display:flex;flex-wrap:wrap;width:220px;background:var(--secondcolor);box-shadow:var(--bs-box-shadow);padding:.5rem;top:120%;visibility:hidden;opacity:0;transition:.3s;right:0;left:unset;}
nav.horizontal .shortmenu > ul.opened{top:100%;visibility:visible;opacity:1;}
nav.horizontal .shortmenu > ul li{width:100%;}
nav.horizontal .shortmenu > ul .hassub ul{position:relative;top:0;box-shadow:none;margin:0;}
nav.horizontal .shortmenu .hassub>a:after{float:right;}
.mobileclose{position:absolute;top:5px;right:10px;}
/* main */
main{padding:2rem;padding-left:calc(270px + 2rem);min-height:calc( 100vh - var(--header-height) - 54px);}
main.larger{padding:2rem;padding-left:calc(75px + 2rem)}
main.largerhr{padding:2rem;}
/* dashboard */
.scroll300{max-height:293px;overflow-y:auto;}
.googleLister .item{background:var(--bs-card-color);}
.urlpull{display:none;}
/* breadcrumb */
.breadcrumb ul{display:flex;align-items:center;}
.breadcrumb ul li{position:relative;}
.breadcrumb ul li:not(:last-child):after{content:"\F285";font-family:'bootstrap-icons';vertical-align:middle;margin:0 6px;font-size:var(--bs-nav-link-font-size);}
.breadcrumb ul li a{color:var(--dark);}
/* innerpage editor etc. */
#preview-image-plugin-overlay{z-index:3;}
#preview-image-plugin-overlay img{max-width:180px;}
.sourcebox{background:var(--lightwhite);}
.smallColors{width:30px;height:30px;border-radius:0;border:0!important;outline:0;box-shadow:none;background:transparent;}
.colorbox{width:35px;height:35px;border:1px solid var(--bs-border-color);cursor:pointer;position:relative;}
.colorbox-bg{position:absolute;inset:0;border-radius:inherit;pointer-events:none;}
.colorbox .colorpicker-hex-input-wrapper{display:none;}
.colorbox .colorpicker-hex-input-wrapper.opacity{display:flex;}
.colorbox .colorpicker-pick-btn{display:none;}
.colorbox .colorblock{position:absolute;z-index:3;padding:1rem;background:var(--white);border-radius:1rem;border:1px solid var(--bs-border-color);display:none;width:260px;box-shadow:var(--bs-box-shadow);top:50%!important;transform:translateY(-50%);}
.colorbox .colorpicker-canvas{width:100%;height:100px;}
.colorbox .colorpicker-preview{height: 30px;}
.imageEdit{display:none;}
.gallery-table tbody tr td:first-child{text-align:center;}
.gallery-table img{max-width:200px;}
.gallery-table td:first-child{cursor: grabbing;}
.passer i{position:absolute;top:5px;right:10px;line-height:0;color:var(--lightgray);cursor:pointer;}
.gallery-table.grid-active{--cols:4;--gap:1rem;} 
.gallery-table.grid-active thead{display: none;}
.gallery-table.grid-active tbody td:first-child{display: none;}
.gallery-table.grid-active tbody{display: flex;flex-wrap: wrap; gap: 1rem;}
.gallery-table.grid-active tr{display:flex;flex-direction:column;  width: calc((100% - (var(--cols) - 1) * var(--gap)) / var(--cols));}
.gallery-table.grid-active img{max-width: 100%;} 
@media(max-width:1200px){.gallery-table.grid-active{--cols:3;}}
@media(max-width:992px){.gallery-table.grid-active{--cols:2;}}
@media(max-width:375px){.gallery-table.grid-active{--cols:1;}}

/* ads zone */
 .imageads,.codeads{display:none;}
/* accordion */
.accordion-button:not(.collapsed),.accordion-button:focus{color:var(--bs-accordion-active-color);background-color:transparent;box-shadow:none;}
.robots .accordion-button::after{display:none;}
.robots .accordion-header .form-switch{transform:scale(1.2);top:15px;right:15px;position:relative;}
/* date range picker,filter */
input[type="date"]::-webkit-calendar-picker-indicator,input[type="time"]::-webkit-calendar-picker-indicator,input[type="datetime-local"]::-webkit-calendar-picker-indicator{background:transparent;bottom:0;color:transparent;cursor:pointer;height:auto;left:0;position:absolute;right:0;top:0;width:auto;}
/* data table */
table.dataTable.dtr-inline.collapsed > tbody > tr > td.dtr-control:before,table.dataTable.dtr-inline.collapsed > tbody > tr > th.dtr-control:before{margin-right:0.5em;display:inline-block;box-sizing:border-box;content:"";border-top:5px solid transparent;border-left:10px solid var(--bs-success);border-bottom:5px solid transparent;border-right:0px solid transparent;}
.dtr-expanded > td.dtr-control:before,.dtr-expanded > th.dtr-control:before{transform:rotate(90deg);display:inline-block;position:relative;}
nav[aria-label="pagination"]{max-width:unset;padding:unset;position:unset;bottom:unset;top:unset;overflow:unset;z-index:unset;height:unset;width:unset;transition:unset;background:unset;font-size:var(--body-sm-font-size);}
div.dt-container .dt-paging .dt-paging-button:hover{background:var(--bs-primary)!important;border:0!important;color:var(--bs-white);}
div.dt-container .dt-paging .dt-paging-button.current,div.dt-container .dt-paging .dt-paging-button.current:hover{border:0!important;}
div.dt-container .dt-paging .dt-paging-button.current:hover{border:0!important;color:var(--bs-white)!important;}
div.dt-container .dt-paging .dt-paging-button.disabled,div.dt-container .dt-paging .dt-paging-button.disabled:hover,div.dt-container .dt-paging .dt-paging-button.disabled:active{border:0!important;color:var(--bs-white);}
div.dt-container .dt-paging .dt-paging-button.disabled{color:var(--dark)!important;}
div.dt-container .dt-paging .dt-paging-button{border:0;}
div.dt-container .dt-paging .dt-paging-button.disabled:hover{color:var(--bs-white)!important;}
.dtr-title{font-weight:600;display:inline-block;margin:5px 0;}
.dtr-title:after{content:":";margin:0 4px;float:right;}
.sharebox .sharemenu{position:absolute;display:flex;flex-wrap:wrap;text-align:right;background:var(--white);border:1px solid var(--bs-border-color);z-index:2;padding:.5rem;right:0;top:100%;display:none;}
.sharebox .sharemenu button{display:block;width:100%;}
[data-bs-theme=dark] div.dt-container .dt-input{border-color:var(--bs-border-color);background:var(--darkbody);color:var(--dark);}
@media(min-width:575px){.dataTable tr td:last-child{white-space:nowrap;}
}
/* password generator */
.strength-container{width:100%;height:8px;background:#eee;border-radius:4px;margin-top:8px;overflow:hidden;}
.strength-bar{height:100%;width:0%;transition:width 0.3s ease,background 0.3s ease;border-radius:4px;}
.strength-label{margin-top:5px;font-size:0.9em;font-weight:500;text-align:right;}
/* Permission-list */
.permissons ul{column-count:3;}
.permissons ul li{padding:5px;}
/* Sortable */
.sortableList .item{cursor:grab;}
/* Responsive */
@media(max-width:1200px){.sharebox .sharemenu{display:inline-block!important;position:relative;top:unset;padding:0;border:0;box-shadow:none!important;white-space:nowrap;background:none;}
.sharebox .sharemenu button{display:inline-block;width:auto;}
.socialshare{display:none;}
.permissons ul{column-count:2;}
}
@media(max-width:992px){nav.horizontal{display:none!important;}
nav.sidemenu{z-index:1050;top:0;padding-top:3rem;height:100%;box-shadow:6px 0 36px rgba(0,0,0,0.125);left:-100%;transition:.3s;}
nav.active{left:0;}
.sidemenu{display:block!important;}
main,main.largerhr{padding:0!important;}
.breadcrumb{padding:1rem 0;margin:0;}
.searchbar{justify-self:center;}
header{height:auto;}
}
@media(max-width:768px){.gallery-table img{max-width:100px;}
.permissons ul{column-count:1;}
.composerlist .page{width:100%;}
}
/* mobile zoom */
@media(max-width:475px){.permissons ul{font-size:var(--bs-nav-link-font-size);}
.zoom7{zoom:0.7;}
.w-max-mob{width:100%!important;}
.gallery-table thead{display:none;}
.gallery-table tbody tr{display:block;width:100%;margin:0 0 1rem;}
.gallery-table tbody td{display:block;text-align:center;}
.gallery-table img{max-width:100%;}
}
